libzypp: zyppng::CacheProviderContext< ZyppContextRefType > Class Template Reference

libzypp 17.36.6

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
zyppng::CacheProviderContext< ZyppContextRefType > Class Template Reference

`#include <zypp/ng/workflows/downloadwf.h>`

Inheritance diagram for zyppng::CacheProviderContext< ZyppContextRefType >:

## Public Types
using | ContextRefType = ZyppContextRefType
using | ContextType = typename ZyppContextRefType::element_type
using | ProvideType = typename ContextType::ProvideType
using | MediaHandle = typename ProvideType::MediaHandle
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>

## Public Member Functions
| ZYPP_DECL_PRIVATE_CONSTR_ARGS (CacheProviderContext, ZyppContextRefType zyppContext, zypp::Pathname destDir)
const ContextRefType & | zyppContext () const
const zypp::Pathname & | destDir () const
void | addCacheDir (const zypp::Pathname &p)
const std::vector< zypp::Pathname > & | cacheDirs () const
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Protected Member Functions
| ZYPP_ADD_PRIVATE_CONSTR_HELPER ()
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)

## Protected Attributes
ContextRefType | _zyppContext
zypp::Pathname | _destDir
std::vector< zypp::Pathname > | _cacheDirs
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Additional Inherited Members
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Detailed Description

template<typename ZyppContextRefType>
class zyppng::CacheProviderContext< ZyppContextRefType >

Definition at line 27 of file downloadwf.h.

## Member Typedef Documentation

## ◆ ContextRefType

template<typename ZyppContextRefType>

using zyppng::CacheProviderContext< ZyppContextRefType >::ContextRefType = ZyppContextRefType

Definition at line 32 of file downloadwf.h.

## ◆ ContextType

template<typename ZyppContextRefType>

using zyppng::CacheProviderContext< ZyppContextRefType >::ContextType = typename ZyppContextRefType::element_type

Definition at line 33 of file downloadwf.h.

## ◆ ProvideType

template<typename ZyppContextRefType>

using zyppng::CacheProviderContext< ZyppContextRefType >::ProvideType = typename ContextType::ProvideType

Definition at line 34 of file downloadwf.h.

## ◆ MediaHandle

template<typename ZyppContextRefType>

using zyppng::CacheProviderContext< ZyppContextRefType >::MediaHandle = typename ProvideType::MediaHandle

Definition at line 35 of file downloadwf.h.

## Member Function Documentation

## ◆ ZYPP_ADD_PRIVATE_CONSTR_HELPER()

template<typename ZyppContextRefType>

zyppng::CacheProviderContext< ZyppContextRefType >::ZYPP_ADD_PRIVATE_CONSTR_HELPER | ( |  | ) |
| protected

## ◆ ZYPP_DECL_PRIVATE_CONSTR_ARGS()

template<typename ZyppContextRefType>

zyppng::CacheProviderContext< ZyppContextRefType >::ZYPP_DECL_PRIVATE_CONSTR_ARGS | ( | CacheProviderContext< ZyppContextRefType > | ,
|  | ZyppContextRefType | zyppContext,
|  | zypp::Pathname | destDir )

## ◆ zyppContext()

template<typename ZyppContextRefType>

const CacheProviderContext< ZyppContextRefType >::ContextRefType & zyppng::CacheProviderContext< ZyppContextRefType >::zyppContext | ( |  | ) | const

Definition at line 35 of file downloadwf.cc.

## ◆ destDir()

template<typename ZyppContextRefType>

const zypp::Pathname & zyppng::CacheProviderContext< ZyppContextRefType >::destDir | ( |  | ) | const

Definition at line 42 of file downloadwf.cc.

## ◆ addCacheDir()

template<typename ZyppContextRefType>

void zyppng::CacheProviderContext< ZyppContextRefType >::addCacheDir | ( | const zypp::Pathname & | p | ) |

Definition at line 48 of file downloadwf.cc.

## ◆ cacheDirs()

template<typename ZyppContextRefType>

const std::vector< zypp::Pathname > & zyppng::CacheProviderContext< ZyppContextRefType >::cacheDirs | ( |  | ) | const

Definition at line 54 of file downloadwf.cc.

## Member Data Documentation

## ◆ _zyppContext

template<typename ZyppContextRefType>

ContextRefType zyppng::CacheProviderContext< ZyppContextRefType >::_zyppContext
| protected

Definition at line 47 of file downloadwf.h.

## ◆ _destDir

template<typename ZyppContextRefType>

zypp::Pathname zyppng::CacheProviderContext< ZyppContextRefType >::_destDir
| protected

Definition at line 48 of file downloadwf.h.

## ◆ _cacheDirs

template<typename ZyppContextRefType>

std::vector<zypp::Pathname> zyppng::CacheProviderContext< ZyppContextRefType >::_cacheDirs
| protected

Definition at line 49 of file downloadwf.h.

The documentation for this class was generated from the following files:

- zypp/ng/workflows/downloadwf.h
- zypp/ng/workflows/downloadwf.cc